DataConnectorControllerDiscoverDataStructures Method

POST /DataConnector/Discover/{id} Discovers the data structures for a given data connector.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("Discover")]
public IActionResult DiscoverDataStructures(
	Guid id,
	[FromBodyAttribute] SupportedDataStructures dataStructureTypes,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data connector.
dataStructureTypes
Type: Dundas.BI.Data.MetadataSupportedDataStructures
The data structure types.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session.

Return Value

Type: IActionResult
A status code indicating whether the operation was successful.
See Also